Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class HibernateNamedQueriesBuilder

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.HibernateNamedQueriesBuilder

    class HibernateNamedQueriesBuilder

A builder that implements the ORM named queries DSL.

Authors:
  Jeff Brown

Constructor Summary
`HibernateNamedQueriesBuilder(java.lang.Object domainClass, java.lang.Object grailsApplication, java.lang.Object ctx)` @param domainClass the GrailsDomainClass defining the named queries

Method Summary
`java.lang.Object` | `evaluate(groovy.lang.Closure namedQueriesClosure)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateNamedQueriesBuilder

    HibernateNamedQueriesBuilder(java.lang.Object domainClass, java.lang.Object grailsApplication, java.lang.Object ctx)

  Parameters:
    `domainClass` - the GrailsDomainClass defining the named queries
    `grailsApplication` - a GrailsApplication instance
    `ctx` - the main spring application context

Method Detail

### evaluate

    java.lang.Object evaluate(groovy.lang.Closure namedQueriesClosure)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

Groovy Documentation